<?php

namespace Drupal\mqclient_drush_config_based\Controller;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of MQ queues.
 */
class MqQueueListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Label');
    $header['name'] = $this->t('Queue name');
    $header['resource'] = $this->t('Resource class');
    $header['server'] = $this->t('Server name');
    $header['status'] = $this->t('Status');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /** @var \Drupal\mqclient_drush_config_based\Entity\MqQueue $entity */
    $row['label'] = $entity->label();
    $row['name'] = $entity->getName();
    $row['resource'] = $entity->getResource();
    $row['server'] = $entity->getServer();
    $row['status'] = $entity->get('status') ? $this->t('enabled') : $this->t('disabled');
    return $row + parent::buildRow($entity);
  }

}
