<?php

namespace Drupal\mqclient_drush_config_based\Controller;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of MQ servers.
 */
class MqServerListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Label');
    $header['address'] = $this->t('Address');
    $header['port'] = $this->t('Port');
    $header['channel'] = $this->t('Channel');
    $header['manager'] = $this->t('Manager');
    $header['user'] = $this->t('User');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /** @var \Drupal\mqclient_drush_config_based\Entity\MqServer $entity */
    $row['label'] = $entity->label();
    $row['address'] = $entity->getAddress();
    $row['port'] = $entity->getPort();
    $row['channel'] = $entity->getChannel();
    $row['manager'] = $entity->getManager();
    $row['user'] = $entity->getUser();
    return $row + parent::buildRow($entity);
  }

}
